<?php
	include ('include/config.php') ;
	include ('include/admin_check.php') ;
	include ('include/functions.php') ;
	
	$id = szovegfeldolgoz($_GET["id"]) ;
	
	if (!is_numeric($id)) {
		header("Location: index.php") ;
		exit() ;
	}
			
	$query = "select * from hirlevel_sablonok where id = $id" ;
	$result = lekerdez($query) ;
	if (mysqli_num_rows($result) > 0) {
		$adatok = mysqli_fetch_assoc($result) ;	
	}
	
	$hibasak = $_SESSION["hibas_adatok"] ;
	unset($_SESSION["hibas_adatok"]) ;
	if ($hibasak == null) {
		$hibasak = array() ;	
	}	
?>

<!DOCTYPE html>

<html lang="hu">

  <head>

    <meta charset="utf-8">

    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <meta name="description" content="">

    <meta name="author" content="">



    <title><?php echo $admin_title;?> Admin: Hírlevél sablon szerkesztése</title>



    <!-- Bootstrap core CSS -->

    <link href="css/bootstrap.css" rel="stylesheet">



    <!-- Add custom CSS here -->

    <link href="css/sb-admin.css" rel="stylesheet">

    <link rel="stylesheet" href="font-awesome/css/font-awesome.min.css">

    <!-- Page Specific CSS -->

    <link rel="stylesheet" href="http://cdn.oesmith.co.uk/morris-0.4.3.min.css">

<script src="js/jquery-1.10.2.js" type="text/javascript"></script>

    <!-- JavaScript -->

    <script src="js/bootstrap.js"></script>



    <!-- Page Specific Plugins -->

    <script src="http://cdnjs.cloudflare.com/ajax/libs/raphael/2.1.0/raphael-min.js"></script>

    <script src="http://cdn.oesmith.co.uk/morris-0.4.3.min.js"></script>

    <!--<script src="js/morris/chart-data-morris.js"></script>-->


<script type="text/javascript" src="tinymce/js/tinymce/tinymce.min.js"></script>

<script language="javascript" type="text/javascript">

tinymce.init({

    selector: "textarea.mcEditor",

    theme: "modern",

	content_css : "/tiny_style.css",

	language : "hu_HU",

    plugins: [

        "advlist autolink lists link image charmap print preview hr anchor pagebreak",

        "searchreplace wordcount visualblocks visualchars code fullscreen",

        "insertdatetime media nonbreaking save table contextmenu directionality",

        "emoticons template paste textcolor filemanager importcss"

    ],

    toolbar1: "insertfile undo redo | styleselect formatselect | bold italic | alignleft aligncenter alignright alignjustify | bullist numlist outdent indent | link image",

    toolbar2: "print preview media | forecolor backcolor emoticons",

    image_advtab: true,

	extended_valid_elements : "a[name|href|target|title|onclick|class],img[class|src|border=0|alt|title|hspace|vspace|width|height|align|onmouseover|onmouseout|name],hr[class|width|size|noshade],font[face|size|color|style],span[class|align|style],div[class|align|style],iframe[src|width|height|name|align|class], embed[width|height|name|flashvars|src|bgcolor|align|play|loop|quality|allowscriptaccess|type|pluginspage], h1[class|width], h2[class|width], h3[class|width], h4[class|width], h5[class|width], h6[class|width]",

    templates: [

        {title: 'Test template 1', content: 'Test 1'},

        {title: 'Test template 2', content: 'Test 2'}

    ]



});





function toggleEditor(id) {

	if (!tinymce.get(id))

		tinymce.execCommand('mceAddEditor', false, id);

	else

		tinymce.execCommand('mceRemoveEditor', false, id);

}

$(document).ready(function() {
	$("#nav-newsletters").addClass("open") ;
}) ;

function torol(id) {
		if (confirm("Biztos benne?"))
	  {
			 document.location.href="formok/newsletter-template-delete.php?id="+id;
	  }
}		
</script>    
  </head>



  <body>



    <div id="wrapper">

	

	<?php include "inc_sidebar_top.php"?>      



      <div id="page-wrapper">



        <div class="row">

          <div class="col-lg-12">

            <h1>Hírlevél sablon szerkesztése</h1>

          </div>
<?php
	if (count($_SESSION["hiba"]) > 0) {
		echo '<div class="col-lg-12">' ;
		foreach ($_SESSION["hiba"] as $hibasor) {
			$class = "alert-danger" ;
			if ($hibasor["tipus"] == "success") {
				$class = "alert-success" ;
			}
			echo '<div class="alert alert-dismissable ' . $class . '">'.$hibasor["szoveg"].'</div>' ;
		}		
		echo '</div>' ;
		unset($_SESSION["hiba"]) ;
	}
?>		
        </div><!-- /.row -->





        <div class="row">

          <div class="col-lg-12">

            <form role="form" name="edit_newsletter_template_form" action="formok/newsletter-template-edit.php" method="post" enctype="multipart/form-data">

			<input type="hidden" name="id" value="<?php echo $id;?>">

              <div class="row">
              	<div class="col-lg-6">
                <div class="form-group <?php if (in_array("sablon_nev", $hibasak)) echo ' has-error';?>">

                <label>Sablon neve</label><br />

	      <input class="form-control" name="sablon_nev" type="text" id="sablon_nev" value="<?php echo $adatok["sablon_nev"];?>"></p>

                <p class="help-block">A sablon nevét adja itt meg</p>

              </div>
                </div>
              </div>

              <div class="row">
              	<div class="col-lg-12">
              <div class="form-group <?php if (in_array("hirlevel_html_fejlec", $hibasak)) echo ' has-error';?>">

                <label>HTML hírlevél fejléc</label><br />

	      <textarea class="form-control mcEditor" name="hirlevel_html_fejlec" id="hirlevel_html_fejlec" rows="10"><?php echo $adatok["html_sablon_fejlec"];?></textarea><br />
<div><a href="javascript:toggleEditor('hirlevel_html_fejlec');">TinyMCE bekapcsolás / kikapcsolás</a><br /></div>          </p>

            </div>
                </div>
              </div>
              
              <div class="row">
              	<div class="col-lg-12">
              <div class="form-group <?php if (in_array("hirlevel_text_fejlec", $hibasak)) echo ' has-error';?>">

                <label>Szöveges hírlevél fejléc</label><br />

	      <textarea class="form-control" name="hirlevel_text_fejlec" id="hirlevel_text_fejlec" rows="10"><?php echo $adatok["text_sablon_fejlec"];?></textarea>

            </div>
                </div>
              </div>              

              <div class="row">
              	<div class="col-lg-12">
              <div class="form-group <?php if (in_array("hirlevel_html_tartalom", $hibasak)) echo ' has-error';?>">

                <label>HTML hírlevél tartalom</label><br />

	      <textarea class="form-control mcEditor" name="hirlevel_html_tartalom" id="hirlevel_html_tartalom" rows="30"><?php echo $adatok["html_sablon_tartalom"];?></textarea><br />
<div><a href="javascript:toggleEditor('hirlevel_html_tartalom');">TinyMCE bekapcsolás / kikapcsolás</a><br /></div>          </p>

            </div>
                </div>
              </div>
              
              <div class="row">
              	<div class="col-lg-12">
              <div class="form-group <?php if (in_array("hirlevel_text_tartalom", $hibasak)) echo ' has-error';?>">

                <label>Szöveges hírlevél tartalom</label><br />

	      <textarea class="form-control" name="hirlevel_text_tartalom" id="hirlevel_text_tartalom" rows="20"><?php echo $adatok["text_sablon_tartalom"];?></textarea>

            </div>
                </div>
              </div> 

              <div class="row">
              	<div class="col-lg-12">
              <div class="form-group <?php if (in_array("hirlevel_html_lablec", $hibasak)) echo ' has-error';?>">

                <label>HTML hírlevél lábléc</label><br />

	      <textarea class="form-control mcEditor" name="hirlevel_html_lablec" id="hirlevel_html_lablec" rows="10"><?php echo $adatok["html_sablon_lablec"];?></textarea><br />
<div><a href="javascript:toggleEditor('hirlevel_html_lablec');">TinyMCE bekapcsolás / kikapcsolás</a><br /></div>          </p>

            </div>
                </div>
              </div>
              
              <div class="row">
              	<div class="col-lg-12">
              <div class="form-group <?php if (in_array("hirlevel_text_lablec", $hibasak)) echo ' has-error';?>">

                <label>Szöveges hírlevél lábléc</label><br />

	      <textarea class="form-control" name="hirlevel_text_lablec" id="hirlevel_text_lablec" rows="10"><?php echo $adatok["text_sablon_fejlec"];?></textarea>

            </div>
                </div>
              </div> 

              <button type="submit" class="btn btn-success"><span class="glyphicon glyphicon-ok"> Mentés</span></button>
			&nbsp;&nbsp;
              <button type="button" class="btn btn-sm btn-danger" onClick="javascript: torol('<?php echo $id;?>');">
              	<span class="glyphicon glyphicon-remove-sign">Sablon törlése</span> 
              </button>

                       

          </form>                      

          </div>

        </div><!-- /.row -->





      </div><!-- /#page-wrapper -->



    </div><!-- /#wrapper -->







  </body>

</html>

